Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Support for JavaServer Pages Java API Reference 10g Release 3 (10.1.3) B15978-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.webutil.personalization
Class InternalItem

`java.lang.Object
oracle.jsp.webutil.personalization.Item
oracle.jsp.webutil.personalization.InternalItem`

public class InternalItem
extends Item

Field Summary

Fields inherited from class oracle.jsp.webutil.personalization.Item
`INT_DIM_NAVIGATION, INT_DIM_PURCHASING, INT_DIM_RATING`

Constructor Summary
`InternalItem()` Empty constructor
`InternalItem(Recommendation rec)`
`InternalItem(java.lang.String type, long ID)` Construct Item from string and long <p/>
`InternalItem(java.lang.String type, java.lang.String ID)` Construct Item from string attributes <p/>

Methods inherited from class oracle.jsp.webutil.personalization.Item
`getID, getPrediction, getType, isCategory, setCategory, setID, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalItem

    public InternalItem(Recommendation rec)
                 throws JspTagException

### InternalItem

    public InternalItem()

  Empty constructor

### InternalItem

    public InternalItem(java.lang.String type,
                        java.lang.String ID)
                 throws JspTagException

  Construct Item from string attributes <p/>
Parameters:
  `type` - item type
  `ID` - item ID

### InternalItem

    public InternalItem(java.lang.String type,
                        long ID)

  Construct Item from string and long <p/>
Parameters:
  `type` - item type
  `ID` - item ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Support for JavaServer Pages Java API Reference 10g Release 3 (10.1.3) B15978-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.